orheostream
Inheritance diagram for orheostream:

## Public Member Functions

| orheostream ()
| orheostream (const std::string &name, const std::string &suffix=std::string(), io::mode_type mode=io::out)
virtual | ~orheostream ()
void | open (const std::string &name, const std::string &suffix=std::string(), io::mode_type mode=io::out)
void | flush ()
void | close ()
const std::string & | filename () const

## Protected Member Functions

void | _open_internal (io::mode_type mode)
void | _close_internal ()

## Protected Attributes

io::mode_type | _mode
std::string | _full_name

## Detailed Description

Definition at line 189 of file rheostream.h.

## Constructor & Destructor Documentation

## orheostream() [1/2]

orheostream | ( |  | ) |

Definition at line 191 of file rheostream.h.

## orheostream() [2/2]

orheostream | ( | const std::string & | name,
|  | const std::string & | suffix = `std::string()`,
|  | io::mode_type | mode = `io::out`
| ) |  |

Definition at line 64 of file rheostream.cc.

## ~orheostream()

~orheostream | ( |  | ) |

virtual

Definition at line 71 of file rheostream.cc.

## Member Function Documentation

## open()

void open | ( | const std::string & | name,
|  | const std::string & | suffix = `std::string()`,
|  | io::mode_type | mode = `io::out`
| ) |  |

Definition at line 76 of file rheostream.cc.

## flush()

void flush | ( |  | ) |

Definition at line 146 of file rheostream.cc.

## close()

void close | ( |  | ) |

Definition at line 139 of file rheostream.cc.

## filename()

const std::string& filename | ( |  | ) | const

Definition at line 199 of file rheostream.h.

## _open_internal()

void _open_internal | ( | io::mode_type | mode | ) |

protected

Definition at line 97 of file rheostream.cc.

## _close_internal()

void _close_internal | ( |  | ) |

protected

Definition at line 111 of file rheostream.cc.

## Member Data Documentation

## _mode

io::mode_type _mode

protected

Definition at line 205 of file rheostream.h.

## _full_name

std::string _full_name

protected

Definition at line 206 of file rheostream.h.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/util/lib/rheostream.h
- /build/rheolef-FQTnje/rheolef-7.1/util/lib/rheostream.cc